curl --request GET \
--url 'https://api.511.org/transit/stoptimetable?api_key='import requests
url = "https://api.511.org/transit/stoptimetable?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.511.org/transit/stoptimetable?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Siri": {
"ServiceDelivery": {
"StopTimetableDelivery": {
"MonitoredStopVisit": [
{
"MonitoringRef": "18079",
"MonitoredVehicleJourney": {
"LineRef": "49",
"DirectionRef": "outbound",
"MonitoredCall": {
"ExpectedArrivalTime": "2026-03-25T12:04:00-07:00"
}
}
}
]
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Scheduled Departures at a Stop
SIRI StopTimetable for scheduled arrivals and departures within a time window. Current request parameter casing follows the public transit page; PDF details are in section 2.9.
Authorizations
511.org token query parameter.
Query Parameters
Desired response format. JSON is the default when omitted.
json, xml Current transit page casing for the operator reference. The PDF section 2.9 shows 'OperatorRef'.
Current transit page casing for the stop reference. The PDF section 2.9 shows 'MonitoringRef'.
Current transit page casing for the line reference. The PDF section 2.9 shows 'LineRef'.
Optional departure-window start time in ISO-8601 format. The current transit page uses lowercase; the PDF section 2.9 uses StartTime.
Optional departure-window end time in ISO-8601 format. The current transit page uses lowercase; the PDF section 2.9 uses EndTime.
Response
Scheduled stop visits in SIRI JSON or XML.
The response is of type object.